%define mod_name Weather-Underground
# comment out this to autofind of package requirements
# instead of manually specifing using "Requires" lines
AutoReqProv: no

Name:		perl-%{mod_name}
Version:	2.10
Release:	1fm
Summary:	Perl extension for retrieving weather information from wunderground.com.
Group:		Applications/CPAN
License:	distributable
Packager:	S Yoder <computer AT flatmtn DOT com>
Vendor:		Mina Naguib
URL:		http://search.cpan.org/author/MNAGUIB/
Source:		%{mod_name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}
BuildRequires:	perl >= 0:5.00503
Requires:	perl >= 0:5.00503
Provides:	perl(Weather::Underground)
BuildArch:	noarch

%description
Provides a simple OO interface to retrieving weather
data for a geographic location. It does so by querying
wunderground.com and parsing the returned results.


%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{mod_name}-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
# docs go to /usr/share/doc/[package-name]-[version]
%doc Changes
/usr/lib/perl5/vendor_perl/5.8.0/Weather/Underground.pm
/usr/share/man/man3/Weather::Underground.3pm.gz
/usr/lib/perl5/vendor_perl/5.8.0/auto/Weather/Underground/autosplit.ix
/usr/lib/perl5/vendor_perl/5.8.0/auto/Weather/Underground/getweather.al
/usr/lib/perl5/vendor_perl/5.8.0/auto/Weather/Underground/new.al


%changelog
* Sun Aug 31 2003 S Yoder <computer AT flatmtn DOT com> 4.37-1fm
- prepared spec file for RPM for RedHat 9.0 (shrike)
